tss2_verifysignature(1)

NAME

tss2_verifysignature(1) -

SYNOPSIS

tss2_verifysignature [OPTIONS]

DESCRIPTION

tss2_verifysignature(1) - This command verifies a signature using a public key found in the passed key path. The used signature verification scheme is specified in the cryptographic profile (cf., fapi-profile(5)).

OPTIONS

These are the available options:

•   -d, --digest=FILENAME or - (for stdin):

    The data that was signed, already hashed according to the cryptographic profile (cf., fapi-profile(5)).

•   -p, --keyPath=STRING:

    Path to the verification public key.

•   -i, --signature=FILENAME or - (for stdin):

    The signature to be verified.

COMMON OPTIONS

This collection of options are common to all tss2 programs and provide information that many users may expect.

•   -h, --help [man|no-man]: Display the tools manpage. By default, it attempts to invoke the manpager for the tool, however, on failure will output a short tool summary. This is the same behavior if the “man” option argument is specified, however if explicit “man” is requested, the tool will provide errors from man on stderr. If the “no-man” option if specified, or the manpager fails, the short options will be output to stdout.

    To successfully use the manpages feature requires the manpages to be installed or on MANPATH, See man(1) for more details.

•   -v, --version: Display version information for this tool, supported tctis and exit.

EXAMPLE

    tss2_verifysignature --keyPath=ext/myRSASign --digest=digest.file --signature=signature.file

RETURNS

0 on success or 1 on failure.

BUGS

Github Issues (https://github.com/tpm2-software/tpm2-tools/issues)

HELP

See the Mailing List (https://lists.01.org/mailman/listinfo/tpm2)